Skip to content

/api/v1/facilities/{facilityId}/routing/exceptions

GET
/api/v1/facilities/{facilityId}/routing/exceptions
curl --request GET \
--url 'https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/routing/exceptions?Status=Open&Type=UnknownContainer' \
--header 'Authorization: Bearer <token>'
facilityId
required
string format: uuid
Status
string
Allowed values: Open Acknowledged
Type
string
Allowed values: UnknownContainer NoRead NoDestination Misroute ShipFailed
From
string format: date-time
To
string format: date-time
Page
integer format: int32
PageSize
integer format: int32
Sort
string

OK

object
items
required
Array<object>
object
id
required
string format: uuid
facilityId
required
string format: uuid
type
required
string
Allowed values: UnknownContainer NoRead NoDestination Misroute ShipFailed
status
required
string
Allowed values: Open Acknowledged
journeyId
required
string format: uuid
nullable
containerCode
required
string
nullable
nodeCode
required
string
nullable
loadId
required
string format: uuid
nullable
detail
required
string
raisedAt
required
string format: date-time
acknowledgedAt
required
string format: date-time
nullable
updatedAt
required
string format: date-time
page
required
integer format: int32
pageSize
required
integer format: int32
totalCount
required
integer format: int32

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable